Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class AMN

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.AMN

public class AMN extends Object
ASMModel Navigator helpers.

## Constructor Summary

Constructors
Constructor
Description
`AMN()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`c2(ASMModelElement type, String otherName)`
`static ASMOclAny`
`get(ASMModelElement ame, String propName)`
`static boolean`
`getBool(ASMModelElement ame, String propName)`
`static boolean`
`getBoolUndefinedIsFalse(ASMModelElement ame, String propName)`
`static Iterator`
`getCol(ASMModelElement ame, String propName)`
`static int`
`getInt(ASMModelElement ame, String propName)`
`static ASMModelElement`
`getME(ASMModelElement ame, String propName)`
`static String`
`getName(ASMModelElement ame)`
`static String`
`getString(ASMModelElement ame, String propName)`
`static String`
`getTypeName(ASMModelElement ame)`
`static boolean`
`isa(ASMModelElement element, String otherName)`
`static ASMModelElement`
`nextME(Iterator i)`
`static String`
`nextString(Iterator i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AMN

public AMN()

## Method Details

### getTypeName

public static String getTypeName(ASMModelElement ame)

### getName

public static String getName(ASMModelElement ame)

### getString

public static String getString(ASMModelElement ame, String propName)

### getInt

public static int getInt(ASMModelElement ame, String propName)

### getBool

public static boolean getBool(ASMModelElement ame, String propName)

### getBoolUndefinedIsFalse

public static boolean getBoolUndefinedIsFalse(ASMModelElement ame, String propName)

### getME

public static ASMModelElement getME(ASMModelElement ame, String propName)

### get

public static ASMOclAny get(ASMModelElement ame, String propName)

### getCol

public static Iterator getCol(ASMModelElement ame, String propName)

### nextME

public static ASMModelElement nextME(Iterator i)

### nextString

public static String nextString(Iterator i)

### isa

public static boolean isa(ASMModelElement element, String otherName)

### c2

public static boolean c2(ASMModelElement type, String otherName)